Gtk2::Scale(3)

NAME
Gtk2::Scale - wrapper for GtkScale

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Range
                      +----Gtk2::Scale

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  $scale->add_mark ($value, $position, $markup)

•   $value (double)

•   $position (Gtk2::PositionType)

•   $markup (string or undef)

Since: gtk+ 2.16

  $scale->clear_marks
Since: gtk+ 2.16

  integer = $scale->get_digits

  $scale->set_digits ($digits)

•   $digits (integer)

  boolean = $scale->get_draw_value

  $scale->set_draw_value ($draw_value)

•   $draw_value (boolean)

  layout = $scale->get_layout
Since: gtk+ 2.4

  (x, y) = $scale->get_layout_offsets
Since: gtk+ 2.4

  positiontype = $scale->get_value_pos

  $scale->set_value_pos ($pos)

•   $pos (Gtk2::PositionType)

PROPERTIES

'digits' (integer : default 1 : readable / writable / private / static-nick / static-blurb)
    The number of decimal places that are displayed in the value

'draw-value' (boolean : default true : readable / writable / private / static-nick / static-blurb)
    Whether the current value is displayed as a string next to the slider

'value-pos' (Gtk2::PositionType : default "top" : readable / writable / private / static-nick / static-blurb)
    The position in which the current value is displayed

STYLE PROPERTIES

'slider-length' (integer : default 31 : readable / private / static-nick / static-blurb)
    Length of scale's slider

'value-spacing' (integer : default 2 : readable / private / static-nick / static-blurb)
    Space between value text and the slider/trough area

SIGNALS

string = format-value (Gtk2::Scale, double)

ENUMS AND FLAGS

  enum Gtk2::PositionType
•   'left' / 'GTK_POS_LEFT'

•   'right' / 'GTK_POS_RIGHT'

•   'top' / 'GTK_POS_TOP'

•   'bottom' / 'GTK_POS_BOTTOM'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Range

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.